Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.security.owsrequestvalidator.csw
Class GetRecordsResponseValidator

    java.lang.Object
      org.deegree.security.owsrequestvalidator.ResponseValidator
          org.deegree.security.owsrequestvalidator.csw.GetRecordsResponseValidator

     class GetRecordsResponseValidator

extends ResponseValidator

Version:
  1.1, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth , last edited by: $Author: mschneider $

Field Summary

Fields inherited from class org.deegree.security.owsrequestvalidator.ResponseValidator
`gpv, policy, UNKNOWNMIMETYPE`

Constructor Summary
`GetRecordsResponseValidator(Policy policy)`

Method Summary
`byte[]` | `validateResponse(String service, byte[] response, String mime, User user)` validates the passed object as a response to a OWS request.

Methods inherited from class org.deegree.security.owsrequestvalidator.ResponseValidator
`getPolicy, setPolicy`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetRecordsResponseValidator

    public GetRecordsResponseValidator(Policy policy)

Parameters:
  `policy` -

Method Detail

### validateResponse

    public byte[] validateResponse(String service,
                                   byte[] response,
                                   String mime,
                                   User user)
                            throws InvalidParameterValueException

  validates the passed object as a response to a OWS request. The validity of the response may is assigned to specific user rights. If the passed user is <>null this will be evaluated.
  the reponse may contain three valid kinds of objects:
  - a xml encoded exception
  - a GML document
  - a XML document
  - any other kind of document that is valid against the formats defined for GetRecord in the capabilities
  Each of these types can be identified by the mime-type of the response that is also passed to the method.
  If something basic went wrong it is possible that not further specified kind of object is passed as response. In this case the method will throw an `InvalidParameterValueException` to avoid sending bad responses to the client.

  Specified by:
    `validateResponse` in class `ResponseValidator`
  Parameters:
    `service` - service which produced the response (WMS, WFS ...)
    `response` -
    `mime` - mime-type of the response
    `user` -
  Returns:
    the response array
  Throws:
    `InvalidParameterValueException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org